Page MenuHomePhabricator

Link to view page is misplaced in the translation editor
Closed, ResolvedPublic

Description

The link to "view page" is misplaced as shown below. It should be aligned to the right with the content column (notice the green arrow) and sit on the same baseline as the language label (notice the two different baselines in orange):

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Amire80 moved this task from Needs Triage to CX2 on the ContentTranslation board.Jun 25 2017, 7:58 PM

Change 361465 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] CX2: Fix misplaced link to view page

https://gerrit.wikimedia.org/r/361465

Change 361637 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] CX2: Fix misplaced link to view page

https://gerrit.wikimedia.org/r/361637

Change 361465 abandoned by Petar.petkovic:
CX2: Fix misplaced link to view page

Reason:
Patch moved to different commit - https://gerrit.wikimedia.org/r/361637

https://gerrit.wikimedia.org/r/361465

Change 361637 merged by Santhosh:
[mediawiki/extensions/ContentTranslation@master] CX2: Fix misplaced link to view page

https://gerrit.wikimedia.org/r/361637

Pginer-WMF triaged this task as Normal priority.Jun 30 2017, 9:54 AM
Etonkovidova added a subscriber: Etonkovidova.EditedJul 13 2017, 9:29 PM

Checked in cx-testing

Checked with wmf.9 with Chrome - no misalignment and no blue outline around 'View page'

@Etonkovidova Did you use: http://cx2-testing.wmflabs.org/index.php/Special:ContentTranslation Lab instance for testing? (This is for CX2 branch, so should be tested there only) Or if you're using in Production, https://en.wikipedia.org/w/index.php?title=Special:ContentTranslation&version=2 should be use (Note &version=2 in the URL).

@KartikMistry Thx - yes, I used http://cx2-testing.wmflabs.org/index.php/Special:ContentTranslation; for production I will pay attention now to &version=2 in the link.

I re-checked this issue in production - enwiki 1.30.0-wmf.9 ( &version=2 was in the link for Special:Translation). Interestingly that &version=2 is not always there. I will be checking more.

Etonkovidova closed this task as Resolved.Jul 25 2017, 11:18 PM